summaryrefslogtreecommitdiffstats
path: root/source/l/fribidi
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2012-09-26 01:10:42 +0000
committer Eric Hameleers <alien@slackware.com>2018-05-31 22:51:55 +0200
commit9664bee729d487bcc0a0bc35859f8e13d5421c75 (patch)
treeb428a16618e36ed864a8d76ea3435e19a452bf90 /source/l/fribidi
parent75a4a592e5ccda30715f93563d741b83e0dcf39e (diff)
downloadcurrent-9664bee729d487bcc0a0bc35859f8e13d5421c75.tar.gz
current-9664bee729d487bcc0a0bc35859f8e13d5421c75.tar.xz
Slackware 14.0slackware-14.0
Wed Sep 26 01:10:42 UTC 2012 Slackware 14.0 x86_64 stable is released! We're perfectionists here at Slackware, so this release has been a long time a-brewing. But we think you'll agree that it was worth the wait. Slackware 14.0 combines modern components, ease of use, and flexible configuration... our "KISS" philosophy demands it. The ISOs are off to be replicated, a 6 CD-ROM 32-bit set and a dual-sided 32-bit/64-bit x86/x86_64 DVD. Please consider supporting the Slackware project by picking up a copy from store.slackware.com. We're taking pre-orders now, and offer a discount if you sign up for a subscription. Thanks to everyone who helped make this happen. The Slackware team, the upstream developers, and (of course) the awesome Slackware user community. Have fun! :-)
Diffstat (limited to 'source/l/fribidi')
-rwxr-xr-xsource/l/fribidi/fribidi.SlackBuild30
-rw-r--r--source/l/fribidi/fribidi.glib.h.diff76
2 files changed, 103 insertions, 3 deletions
diff --git a/source/l/fribidi/fribidi.SlackBuild b/source/l/fribidi/fribidi.SlackBuild
index 5c8cd086d..0d42095a6 100755
--- a/source/l/fribidi/fribidi.SlackBuild
+++ b/source/l/fribidi/fribidi.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2008, 2009, 2010 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010, 2012 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,7 +23,7 @@
PKGNAM=fribidi
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-3}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -61,6 +61,9 @@ cd $TMP
rm -rf fribidi-$VERSION
tar xvf $CWD/fribidi-$VERSION.tar.?z* || exit 1
cd fribidi-$VERSION
+
+zcat $CWD/fribidi.glib.h.diff.gz | patch -p1 --verbose || exit 1
+
chown -R root:root .
find . -perm 777 -exec chmod 755 {} \;
find . -perm 775 -exec chmod 755 {} \;
@@ -69,14 +72,35 @@ chown -R root:root .
CFLAGS="$SLKCFLAGS" \
./configure --prefix=/usr \
--libdir=/usr/lib${LIBDIRSUFFIX} \
+ --mandir=/usr/man \
+ --disable-static \
--with-pic
make $NUMJOBS || exit 1
make install DESTDIR=$PKG
+
( cd $PKG
find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
)
-strip -g $PKG/usr/lib/libfribidi.a
+
+# Remove any zero length man pages:
+find $PKG/usr/man/ -type f -empty -delete
+
+# Compress and if needed symlink the man pages:
+if [ -d $PKG/usr/man ]; then
+ ( cd $PKG/usr/man
+ for manpagedir in $(find . -type d -name "man*") ; do
+ ( cd $manpagedir
+ for eachpage in $( find . -type l -maxdepth 1) ; do
+ ln -s $( readlink $eachpage ).gz $eachpage.gz
+ rm $eachpage
+ done
+ gzip -9 *.?
+ )
+ done
+ )
+fi
+
mkdir -p $PKG/usr/doc/fribidi-$VERSION
cp -a \
AUTHORS COPYING* NEWS README* THANKS TODO \
diff --git a/source/l/fribidi/fribidi.glib.h.diff b/source/l/fribidi/fribidi.glib.h.diff
new file mode 100644
index 000000000..34caeb69b
--- /dev/null
+++ b/source/l/fribidi/fribidi.glib.h.diff
@@ -0,0 +1,76 @@
+diff -u -r fribidi-0.19.2.orig/charset/fribidi-char-sets.c fribidi-0.19.2/charset/fribidi-char-sets.c
+--- fribidi-0.19.2.orig/charset/fribidi-char-sets.c 2006-01-30 21:23:12.000000000 -0600
++++ fribidi-0.19.2/charset/fribidi-char-sets.c 2012-07-17 23:14:53.602120679 -0500
+@@ -114,7 +114,7 @@
+ };
+
+ #if FRIBIDI_USE_GLIB+0
+-# include <glib/gstrfuncs.h>
++# include <glib.h>
+ # define fribidi_strcasecmp g_ascii_strcasecmp
+ #else /* !FRIBIDI_USE_GLIB */
+ static char
+diff -u -r fribidi-0.19.2.orig/lib/common.h fribidi-0.19.2/lib/common.h
+--- fribidi-0.19.2.orig/lib/common.h 2008-04-08 16:38:23.000000000 -0500
++++ fribidi-0.19.2/lib/common.h 2012-07-17 23:15:14.106120553 -0500
+@@ -57,7 +57,7 @@
+ # define SIZEOF_VOID_P GLIB_SIZEOF_VOID_P
+ # endif /* !SIZEOF_VOID_P */
+ # ifndef __FRIBIDI_DOC
+-# include <glib/gmem.h>
++# include <glib.h>
+ # endif /* !__FRIBIDI_DOC */
+ # ifndef fribidi_malloc
+ # define fribidi_malloc g_try_malloc
+@@ -65,12 +65,12 @@
+ # endif /* !fribidi_malloc */
+ # ifndef fribidi_assert
+ # ifndef __FRIBIDI_DOC
+-# include <glib/gmessages.h>
++# include <glib.h>
+ # endif /* !__FRIBIDI_DOC */
+ # define fribidi_assert g_assert
+ # endif /* !fribidi_assert */
+ # ifndef __FRIBIDI_DOC
+-# include <glib/gmacros.h>
++# include <glib.h>
+ # endif /* !__FRIBIDI_DOC */
+ # ifndef FRIBIDI_BEGIN_STMT
+ # define FRIBIDI_BEGIN_STMT G_STMT_START {
+diff -u -r fribidi-0.19.2.orig/lib/fribidi-common.h fribidi-0.19.2/lib/fribidi-common.h
+--- fribidi-0.19.2.orig/lib/fribidi-common.h 2007-04-05 11:13:24.000000000 -0500
++++ fribidi-0.19.2/lib/fribidi-common.h 2012-07-17 23:15:30.546121341 -0500
+@@ -62,7 +62,7 @@
+
+ #if FRIBIDI_USE_GLIB+0
+ # ifndef __FRIBIDI_DOC
+-# include <glib/gmacros.h>
++# include <glib.h>
+ # endif /* !__FRIBIDI_DOC */
+ # define FRIBIDI_BEGIN_DECLS G_BEGIN_DECLS
+ # define FRIBIDI_END_DECLS G_END_DECLS
+diff -u -r fribidi-0.19.2.orig/lib/fribidi-types.h fribidi-0.19.2/lib/fribidi-types.h
+--- fribidi-0.19.2.orig/lib/fribidi-types.h 2006-01-30 21:23:13.000000000 -0600
++++ fribidi-0.19.2/lib/fribidi-types.h 2012-07-17 23:16:00.010122775 -0500
+@@ -40,8 +40,7 @@
+
+ #if FRIBIDI_USE_GLIB+0
+ # ifndef __FRIBIDI_DOC
+-# include <glib/gtypes.h>
+-# include <glib/gunicode.h>
++# include <glib.h>
+ # endif /* !__FRIBIDI_DOC */
+ # define FRIBIDI_INT8_LOCAL gint8
+ # define FRIBIDI_INT16_LOCAL gint16
+diff -u -r fribidi-0.19.2.orig/lib/mem.h fribidi-0.19.2/lib/mem.h
+--- fribidi-0.19.2.orig/lib/mem.h 2006-01-30 21:23:13.000000000 -0600
++++ fribidi-0.19.2/lib/mem.h 2012-07-17 23:15:43.522121977 -0500
+@@ -42,7 +42,7 @@
+ #if FRIBIDI_USE_GLIB+0
+
+ #ifndef __FRIBIDI_DOC
+-# include <glib/gmem.h>
++# include <glib.h>
+ #endif /* !__FRIBIDI_DOC */
+
+ #define FriBidiMemChunk GMemChunk